\begin{table}[htbp]
\begin{adjustbox}{max width=\textwidth}
\begin{tabular}{|c|c||c|c|c|c|c|c|c|c|c|}
	\hline
	\multicolumn{2}{|c||}{\textit{Threads}}          &                  1                  &   2   &                 4                  &   8   &  16   &                 32                 &  68   &  136  &  272  \\ \hline\hline
	\multirow{3}{*}{Intel i5~7600} &     MATLAB      &  \cellcolor{red!20}\textbf{16.987}  &  ---  &                ---                 &  ---  &  ---  &                ---                 &  ---  &  ---  &  ---  \\ \cline{2-11}
	                               &      Eigen      & \cellcolor{yellow!40}\textbf{0.238} & 0.150 &               0.134                &  ---  &  ---  &                ---                 &  ---  &  ---  &  ---  \\ \cline{2-11}
	                               & \textit{Ad-hoc} & \cellcolor{green!20}\textbf{0.015}  & 0.009 & \cellcolor{green!20}\textbf{0.005} &  ---  &  ---  &                ---                 &  ---  &  ---  &  ---  \\ \hline\hline
	         GTX~1050~Ti           &      CUDA       & \cellcolor{green!20}\textbf{0.016}  &  ---  &                ---                 &  ---  &  ---  &                ---                 &  ---  &  ---  &  ---  \\ \hline\hline
	     \multirow{2}{*}{KNL}      &      Eigen      &                1.461                & 0.847 &               0.501                & 0.321 & 0.234 &               0.191                & 0.180 & 0.221 & 0.289 \\ \cline{2-11}
	                               & \textit{Ad-hoc} &                0.057                & 0.041 &               0.024                & 0.011 & 0.008 & \cellcolor{green!20}\textbf{0.007} & 0.008 & 0.012 & 0.023 \\ \hline
\end{tabular}
\end{adjustbox}
\caption*{Imagen \texttt{lena} ($512 \times 512$).}
\label{tab:comparativa-matlab}
\end{table}
